Package org.eclipse.graphiti.pattern.mapping.data

# Class LabelDataMapping

java.lang.Object
org.eclipse.graphiti.pattern.mapping.MappingProviderProvider
org.eclipse.graphiti.pattern.mapping.data.DataMapping
org.eclipse.graphiti.pattern.mapping.data.TextDataMapping
org.eclipse.graphiti.pattern.mapping.data.LabelDataMapping

All Implemented Interfaces:
  `IDataMapping`, `IImageDataMapping`, `ILabelDataMapping`, `ITextDataMapping`

public abstract class LabelDataMapping extends TextDataMapping implements ILabelDataMapping
The Class LabelDataMapping.

## Constructor Summary

Constructors
Constructor
Description
`LabelDataMapping(IMappingProvider mappingProvider)`
Creates a new `LabelDataMapping`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getImageId(PictogramLink link)`
Gets the image id.

### Methods inherited from class org.eclipse.graphiti.pattern.mapping.data.TextDataMapping

`getText`

### Methods inherited from class org.eclipse.graphiti.pattern.mapping.data.DataMapping

`getBusinessObject, getUpdateWarning`

### Methods inherited from class org.eclipse.graphiti.pattern.mapping.MappingProviderProvider

`getMappingProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.pattern.mapping.data.IDataMapping

`getUpdateWarning`

### Methods inherited from interface org.eclipse.graphiti.pattern.mapping.data.ITextDataMapping

`getText`

## Constructor Details

### LabelDataMapping

public LabelDataMapping(IMappingProvider mappingProvider)
Creates a new `LabelDataMapping`.

Parameters:
  `mappingProvider` - the mapping provider

## Method Details

### getImageId

public String getImageId(PictogramLink link)
Description copied from interface: `IImageDataMapping`
Gets the image id.

Specified by:
  `getImageId` in interface `IImageDataMapping`
Parameters:
  `link` - the pictogram link
Returns:
  the image id